// ================= figCaptionSichtbarMachen =================

function figCaptionSichtbarMachen(ereignis) {
  // console.log(ereignis.currentTarget.children[1]);

  // das schon sichtbare <figcaption> unsichtbar machen
  // somit ist immmer nur ein <figcaption> sichtbar
  const sichtbar = document.querySelector(".sichtbar");
  if (sichtbar) {
    sichtbar.classList.remove("sichtbar");
  }
  // <figcaption> ist das 2. Kind von figure, <img> das 1.…
  // in JS ist der 1. Eintrag [0]!
  ereignis.currentTarget.children[1].classList.add("sichtbar");
}

// Liste aller <figure>-Elemente mit der Klasse "hotspot"
const hotspots = document.querySelectorAll(".hotspot");
// console.log(hotspots);

// Clickt man auf eines der Kreise, wird die Funktion "figCaptionsSichtbarMachen" gestartet
// damit wird der Text neben dem Kreis sichtbar
hotspots.forEach(function (ereignis) {
  ereignis.addEventListener("click", figCaptionSichtbarMachen);
});

// =================== figCaptionUnsichtbarmachen ===================

// klickt man auf das gerade sichtbare <figcaption>, wird dieses unsichtbar
// da es sich "innerhalb" der "hotspots" befindet,
// würde die function "figCaptionSichtbarMachen" beim Klicken ebenfalls ausgeführt
// "ereignis.stopImmediatePropagation()" verhindert dies

function figCaptionUnsichtbarmachen(ereignis) {
  ereignis.stopImmediatePropagation();
  ereignis.currentTarget.classList.remove("sichtbar");
}

// alle <figcaption>-Elemente innerhalb von ".hotspot"
const hotspotFigcaptions = document.querySelectorAll(".hotspot figcaption");
// console.log(hotspotFigcaptions);

// klickt man auf das gerade sichtbare <figcaption>, wird dieses unsichtbar
hotspotFigcaptions.forEach(function (ereignis) {
  ereignis.addEventListener("click", figCaptionUnsichtbarmachen);
});
